#!/bin/bash

# Assign parameters to variables
HOST=$1
USER=$2
PASSWORD=$3

echo "*** Create database on host: $HOST with user: $USER"
mariadb -h "$HOST" -u "$USER" -p"$PASSWORD" < inputs/sql/create_db.sql

echo "*** Create tables on host: $HOST with user: $USER"
mariadb -h "$HOST" -u "$USER" -p"$PASSWORD" < inputs/sql/create_tables.sql
