CREATE TABLE FACT_jobs.LODES8 (
  CounterID INT auto_increment NOT NULL,
  GeoID varchar(15) NOT NULL,
  Year INT NOT NULL,
  CNS01 INT NOT NULL,
  CNS02 INT NOT NULL,
  CNS03 INT NOT NULL,
  CNS04 INT NOT NULL,
  CNS05 INT NOT NULL,
  CNS06 INT NOT NULL,
  CNS07 INT NOT NULL,
  CNS08 INT NOT NULL,
  CNS09 INT NOT NULL,
  CNS10 INT NOT NULL,
  CNS11 INT NOT NULL,
  CNS12 INT NOT NULL,
  CNS13 INT NOT NULL,
  CNS14 INT NOT NULL,
  CNS15 INT NOT NULL,
  CNS16 INT NOT NULL,
  CNS17 INT NOT NULL,
  CNS18 INT NOT NULL,
  CNS19 INT NOT NULL,
  CNS20 INT NOT NULL,
  PRIMARY KEY (CounterID)
)
ENGINE=ARIA
DEFAULT CHARSET=utf8mb4
COLLATE=utf8mb4_general_ci;

CREATE TABLE FACT_jobs.QCEW (
  GeoID varchar(5) NOT NULL,
  Year INT NOT NULL,
  Naics varchar(6) NOT NULL,
  Agglvl_code varchar(2) NOT NULL,
  Q1_establishments INT,
  Q1_disclosure DOUBLE,
  Q1_avg_weekly_wage DOUBLE,
  Jan_jobs INT,
  Feb_jobs INT,
  Mar_jobs INT,
  Q2_establishments INT,
  Q2_disclosure DOUBLE,
  Q2_avg_weekly_wage DOUBLE,
  Apr_jobs INT,
  May_jobs INT,
  Jun_jobs INT,
  Q3_establishments INT,
  Q3_disclosure DOUBLE,
  Q3_avg_weekly_wage DOUBLE,
  Jul_jobs INT,
  Aug_jobs INT,
  Sep_jobs INT,
  Q4_establishments INT,
  Q4_disclosure DOUBLE,
  Q4_avg_weekly_wage DOUBLE,
  Oct_jobs INT,
  Nov_jobs INT,
  Dec_jobs INT,
  PRIMARY KEY (GeoID,Year,Naics)
)
ENGINE=ARIA
DEFAULT CHARSET=utf8mb4
COLLATE=utf8mb4_general_ci;

CREATE TABLE FACT_jobs.REA (
  GeoID varchar(10) NOT NULL,
  Year INT NOT NULL,
  Nace varchar(6) NOT NULL,
  EmpTh DOUBLE,
  PRIMARY KEY (GeoID,Year,Nace)
)
ENGINE=ARIA
DEFAULT CHARSET=utf8mb4
COLLATE=utf8mb4_general_ci;

CREATE TABLE FACT_jobs.LFS (
  GeoID varchar(10) NOT NULL,
  Year INT NOT NULL,
  Nace varchar(3) NOT NULL,
  EmpTh_Q1 DOUBLE,
  EmpTh_Q2 DOUBLE,
  EmpTh_Q3 DOUBLE,
  EmpTh_Q4 DOUBLE,
  PRIMARY KEY (GeoID,Year,Nace)
)
ENGINE=ARIA
DEFAULT CHARSET=utf8mb4
COLLATE=utf8mb4_general_ci;

CREATE TABLE FACT_jobs.SBS (
  GeoID varchar(2) NOT NULL,
  Year INT NOT NULL,
  Nace varchar(12) NOT NULL,
  Enterprises INT,
  Employment INT,
  LaborCost DOUBLE,
  PRIMARY KEY (GeoID,Year,Nace)
)
ENGINE=ARIA
DEFAULT CHARSET=utf8mb4
COLLATE=utf8mb4_general_ci;
