-- US data
-- add index to LODES8 table, query already optimized
ALTER TABLE LODES8
ADD INDEX idx_geoid (GeoID);
-- no need to modify QCEW because there is agg level already to select geographical layer

-- EU data
-- LFS at the country level only
-- SBS at the country level only

-- Step 1: Add the country column to the table
ALTER TABLE REA
ADD COLUMN eu_country CHAR(2);
-- Step 2: Add the new column to the table index
ALTER TABLE REA
ADD INDEX idx_eu_country (eu_country);
-- Step 3: Update the country column based on the cntr_code column
UPDATE REA
SET eu_country = LEFT(GeoID, 2);
